## sctplib-1.0.33.tar.gz

=== freebsd/sctplib/Makefile ===
PORTNAME=	sctplib
DISTVERSION=	1.0.33
CATEGORIES=	net
MASTER_SITES=	https://www.nntb.no/~dreibh/sctplib/download/

MAINTAINER=	thomas.dreibholz@gmail.com
COMMENT=	User-space implementation of the SCTP protocol RFC 4960
WWW=		https://www.nntb.no/~dreibh/sctplib/

LICENSE=	GPLv3+
LICENSE_FILE=	${WRKSRC}/COPYING

USES=		gnome libtool pkgconfig
USE_GNOME=	glib20
USE_LDCONFIG=	yes

GNU_CONFIGURE=	yes
CONFIGURE_ARGS=	--enable-sctp-over-udp
INSTALL_TARGET=	install-strip
PLIST_FILES=	include/sctp.h \
		lib/libsctplib.a \
		lib/libsctplib.so \
		lib/libsctplib.so.1 \
		lib/libsctplib.so.1.0.8

.include <bsd.port.mk>

=== debian/changelog ===
sctplib (1:1.0.33-1ubuntu1) resolute; urgency=medium

  * New upstream release.
  * debian/copyright: Fixed LGPL-2.1 license text.
  * Closes: #934049 (ITP).

 -- Thomas Dreibholz <thomas.dreibholz@gmail.com>  Tue, 09 Dec 2025 17:15:19 +0100

sctplib (1:1.0.32-1ubuntu1) questing; urgency=medium

  * New upstream release.
  * debian/control: Updated standards version to 4.7.0.
  * debian/control: Updated standards version to 4.7.2.

 -- Thomas Dreibholz <thomas.dreibholz@gmail.com>  Wed, 09 Jul 2025 10:17:18 +0200

sctplib (1:1.0.31-1ubuntu1) jammy; urgency=medium

  * New upstream release.

 -- Thomas Dreibholz <thomas.dreibholz@gmail.com>  Wed, 06 Dec 2023 16:54:15 +0100

sctplib (1:1.0.30-1ubuntu1) jammy; urgency=medium

  * New upstream release.
  * debian/control: Updated standards version to 4.6.2.

 -- Thomas Dreibholz <thomas.dreibholz@gmail.com>  Sun, 22 Jan 2023 22:48:59 +1100

sctplib (1:1.0.29-1ubuntu1) jammy; urgency=medium

  * New upstream release.
  * debian/control: Updated standards version to 4.6.1.

 -- Thomas Dreibholz <dreibh@iem.uni-due.de>  Sun, 11 Sep 2022 13:06:05 +0200

sctplib (1:1.0.28-1ubuntu1) jammy; urgency=medium

  * New upstream release.

 -- Thomas Dreibholz <dreibh@iem.uni-due.de>  Thu, 17 Feb 2022 12:25:40 +0100

sctplib (1:1.0.27-1ubuntu1) hirsute; urgency=medium

  * New upstream release.
  * debian/control: Updated standards version to 4.6.0.1.

 -- Thomas Dreibholz <dreibh@iem.uni-due.de>  Wed, 16 Feb 2022 12:39:25 +0100

sctplib (1:1.0.26-1ubuntu1) hirsute; urgency=medium

  * New upstream release.
  * debian/control: Updated standards version to 4.5.0.3.

 -- Thomas Dreibholz <dreibh@iem.uni-due.de>  Fri, 13 Nov 2020 19:00:25 +0100

sctplib (1:1.0.25-1ubuntu1) focal; urgency=medium

  * New upstream release.
  * debian/control: Updated standards version to 4.5.0.0.

 -- Thomas Dreibholz <dreibh@iem.uni-due.de>  Fri, 07 Feb 2020 13:21:57 +0100

sctplib (1:1.0.24-1ubuntu1) eoan; urgency=medium

  * New upstream release.

 -- Thomas Dreibholz <dreibh@iem.uni-due.de>  Wed, 14 Aug 2019 14:01:49 +0200

sctplib (1:1.0.23-1ubuntu1) eoan; urgency=medium

  * New upstream version.

 -- Thomas Dreibholz <dreibh@iem.uni-due.de>  Wed, 07 Aug 2019 17:40:55 +0200

sctplib (1:1.0.22-1ubuntu1) eoan; urgency=medium

  * New upstream version.
  * Initial Ubuntu release (LP: #228052).

 -- Thomas Dreibholz <dreibh@iem.uni-due.de>  Wed, 27 Feb 2019 08:08:08 +0800

=== debian/control ===
Source: sctplib
Section: net
Priority: optional
Maintainer: Thomas Dreibholz <thomas.dreibholz@gmail.com>
Homepage: https://www.nntb.no/~dreibh/sctplib/index.html
Vcs-Git: https://github.com/dreibh/sctplib.git
Vcs-Browser: https://github.com/dreibh/sctplib
Build-Depends: autoconf,
               automake,
               debhelper-compat (= 13),
               ghostscript,
               libglib2.0-dev,
               libtool,
               texlive-fonts-recommended,
               texlive-latex-base,
               texlive-latex-extra
Standards-Version: 4.7.2
Rules-Requires-Root: no

Package: libsctplib1
Section: libs
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends}
Description: User-space implementation of the SCTP protocol RFC 4960
 This package contains the shared library for SCTPLIB.
 .
 The SCTPLIB library is a fairly complete prototype implementation of the
 Stream Control Transmission Protocol (SCTP), a message-oriented reliable
 transport protocol that supports multi-homing, and multiple message streams
 multiplexed within an SCTP connection (also named association). SCTP is
 described in RFC 4960. This implementation is the product of a cooperation
 between Siemens AG (ICN), Munich, Germany and the Computer Networking
 Technology Group at the IEM of the University of Essen, Germany.
 .
 The API of the library was modeled after Section 10 of RFC 4960, and most
 parameters and functions should be self-explanatory to the user familiar with
 this document. In addition to these interface functions between an Upper
 Layer Protocol (ULP) and an SCTP instance, the library also provides a number
 of helper functions that can be used to manage callback function routines to
 make them execute at a certain point of time (i.e. timer-based) or open and
 bind  UDP sockets on a configurable port, which may then be used for an
 asynchronous interprocess communication.

Package: libsctplib-dev
Section: libdevel
Architecture: any
Depends: libsctplib1 (= ${binary:Version}),
         ${misc:Depends}
Recommends: sctplib-doc
Description: Headers and libraries of the user-space SCTP implementation SCTPLIB
 This package contains development files for SCTPLIB.
 .
 The SCTPLIB library is a fairly complete prototype implementation of the
 Stream Control Transmission Protocol (SCTP), a message-oriented reliable
 transport protocol that supports multi-homing, and multiple message streams
 multiplexed within an SCTP connection (also named association). SCTP is
 described in RFC 4960. This implementation is the product of a cooperation
 between Siemens AG (ICN), Munich, Germany and the Computer Networking
 Technology Group at the IEM of the University of Essen, Germany.
 .
 The API of the library was modeled after Section 10 of RFC 4960, and most
 parameters and functions should be self-explanatory to the user familiar with
 this document. In addition to these interface functions between an Upper
 Layer Protocol (ULP) and an SCTP instance, the library also provides a number
 of helper functions that can be used to manage callback function routines to
 make them execute at a certain point of time (i.e. timer-based) or open and
 bind  UDP sockets on a configurable port, which may then be used for an
 asynchronous interprocess communication.

Package: sctplib-doc
Provides: sctplib-docs
Replaces: sctplib-docs
Section: doc
Architecture: all
Depends: libsctplib1,
         ${misc:Depends}
Conflicts: sctplib-stable-doc
Description: Documentation of the user-space SCTP implementation SCTPLIB
 This package contains documentation files for SCTPLIB.
 .
 The SCTPLIB library is a fairly complete prototype implementation of the
 Stream Control Transmission Protocol (SCTP), a message-oriented reliable
 transport protocol that supports multi-homing, and multiple message streams
 multiplexed within an SCTP connection (also named association). SCTP is
 described in RFC 4960. This implementation is the product of a cooperation
 between Siemens AG (ICN), Munich, Germany and the Computer Networking
 Technology Group at the IEM of the University of Essen, Germany.

=== debian/watch ===
version=4
opts=pgpsigurlmangle=s/$/.asc/ \
https://www.nntb.no/~dreibh/sctplib/  download/sctplib-(.*)\.tar\.gz
